@import url('https://fonts.googleapis.com/css2?family=Baumans&family=Henny+Penny&family=Rock+3D&display=swap');
:root {
  --bg: #2dceeb;
  --container:#722bd6;
}

.dark {
  --bg: #00001a;
  --container:#3D00C0;
}

html {
  overflow-x: hidden;
position: relative;
  min-height: 100%;
    background-color: var(--bg);
    min-height: 100vh;
    background-size: 100%;
    width: 100%;
    cursor:auto;
    scroll-behavior: smooth;
}

body {
  
  position: relative;
  min-height: 100%;
  margin: 0;
  padding-top: 100px;
 
  background-size:cover;
  background-blend-mode:overlay;
  background-color:var(--bg);
    font-family: "Henny Penny", system-ui;
    font-weight: normal;
    font-size: 18px;
    min-height: 100vh;
    text-shadow: none;
    overflow-x: hidden;
    scrollbar-color: #000000;
    scrollbar-width: thin;
  padding-bottom: 120px;
}

h1, h2, h3, h4, h5, h6 {
  font-weight:bold;
  font-family: "Rock 3D", system-ui;
  position: relative; animation: wiggle 1.5s linear infinite;
}

p {
  font-family: "Henny Penny", system-ui;
  z-index:99999999999999;
   position: relative; animation: wiggle 2s linear infinite;
}

p.text {
  font-family: "Baumans", system-ui;
}

a {
   color: #1dcf73;
}

a:hover {
  color: #0fff47;
}

.button {
  margin: 0;
  padding: 0;
  display: block;
}
footer {
  background-image:url('/img/Rough-Rock_2.jpg');
  background-size:contain;
  background-blend-mode:multiply;
  overflow: hidden;
  background-color: var(--container);
  box-shadow: 1px 1px 10px;
  position: absolute;
  bottom: 0;
  left: 0;
  border: none;
  height: 100px;
  width: 100%;
  padding:5px;
  z-index:2;
  box-sizing: border-box;
}

span.footer-notes {
  font-size:14px;
  font-family: "Baumans", system-ui;
  color:#f396ff;
}

/*-- TRIPPY TREE --*/

img.trippy-tree {
 left: 30%;
  position:fixed;
  bottom:0;
  width:600px;
  z-index:1;
}

.container {
  background-image: url('/img/Rough-Rock_2.jpg');
  background-size: cover;
  background-blend-mode: darken;
  color: #ff4dd5;
  background-color: var(--container);
  width: 50%;
  min-height: 30vh;
  padding: 20px;
  position: relative;
  flex: 1;
  max-width: 400px;
  margin-top: 50px;
  margin-bottom: 20px;
  box-shadow:
    inset 5px 4px 0px rgba(0, 0, 0, 0.6),
    inset -5px -4px 0px rgba(255, 255, 255, 0.1),
    inset 0px 8px 0px rgba(0, 0, 0, 0.5),
    inset 0px -4px 0px rgba(255, 100, 255, 0.2);

  border: 20px solid transparent;
  border-image-source: url('/img/clouds/cloud-border.png');
  border-image-slice: 80; 
  border-image-outset:1;
  border-image-width: 20px;
  border-image-repeat: round;
  z-index:2;
}

.inner-container {
  overflow:hidden;
  background-image:url('/img/Rough-Rock_2.jpg');
  background-size:contain;
  background-blend-mode:overlay;
  margin:10px;
  padding:30px;
  background-color: #391aa1;
    box-shadow:
    inset 5px 4px 0px rgba(0, 0, 0, 0.6),
    inset -5px -4px 0px rgba(255, 255, 255, 0.1),
    inset 0px 8px 0px rgba(0, 0, 0, 0.5),
    inset 0px -4px 0px rgba(255, 100, 255, 0.2);
}

.container-flex {
   display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 50px;
    flex: 1;
    text-align: center;
    flex-wrap: wrap;
}

/*-- CLOUDS --*/
.cloud-container {
  width: 330px;
  height: 120px;
  color:#ff4dd5;
  background-color:transparent;
  position: relative;
  margin: 120px auto 20px;
  padding: 60px;
  z-index:9;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  cursor: grabbing;
}

.cloud-container:hover {
  cursor: grab;
}

.cloud-container img {
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
  z-index: -1;
  user-select: none;
  -webkit-user-drag: none;
  pointer-events: none;
}


.cloud {
  margin: 0;
  padding-top:50px;
  line-height: 1.2;
  pointer-events: none;
}

/* SECRET */
.secret-wrapper {
  position: relative;
}

.secret-wrapper .cloud-container {
  margin: 0;
}

.secret {
  position: absolute;
}

.secret-text {
  position: absolute;
  bottom: -30px;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-size: 11px;
  font-family: "Henny Penny", system-ui;
  color: #ffffff;
  animation: none;
  z-index: 10;
  pointer-events: none;
}

.center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

/*-- SELECTION --*/
::selection {
    background:#0b0645;
    color:#ffffff;
}

::-moz-selection {
    background:#0b0645;
    color:#ffffff;
}

h1::selection, h1::-moz-selection,
h2::selection, h2::-moz-selection,
h3::selection, h3::-moz-selection,
h4::selection, h4::-moz-selection,
h5::selection, h5::-moz-selection {
    background:#0b0645;
    color:#ffffff;
}

@keyframes wiggle {
  0%   { left: 0px;  top: 0px;  right: 0px;  }
  10%  { left: -0.7px; top: 0px;  right: -0.7px; }
  20%  { left: -0.7px; top: -0.5px; right: -0.7px; }
  30%  { left: 0px;  top: 0px;  right: 0px;  }
  40%  { left: 0.5px;  top: 0.7px;  right: 0.5px;  }
  50%  { left: 0.7px;  top: 0.5px;  right: 0.7px;  }
  60%  { left: 0px;  top: 0.7px;  right: 0px;  }
  70%  { left: -0.5px; top: 0px;  right: -0.5px; }
  80%  { left: -0.7px; top: -0.7px; right: -0.7px; }
  90%  { left: 0px;  top: -0/5px; right: 0px;  }
  0.700% { left: 0.7px;  top: -0.7px; right: 0.7px;  }
}

.dragTarget {
  position: absolute;
  cursor: grab;
  user-select: none;
}

.dragTarget:active {
  cursor: grabbing;
}

/*-- TOPNAV --*/
.link-flex {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1;
    text-align: center;
    flex-wrap: wrap; 
}
.topnav {
  background-image:url('/img/Rough-Rock_2.jpg');
  background-size:contain;
  background-blend-mode:multiply;
    overflow: hidden;
    background-color: var(--container);
    box-shadow: 1px 1px 10px ;
    position: fixed;
    top: 0;
    border: none;
    width: 100%;
    z-index: 99;
    display: flex;
  justify-content: space-between;
  align-items: center;
}

.topnav a {
  margin-bottom:-5px;
    color: #1dcf73;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 20px;
    font-family: "Henny Penny", system-ui;
    position: relative; animation: wiggle 2s linear infinite;
}

.topnav a:hover {
    color: #e6c81e;
    cursor: pointer;
}

.topnav a.active, .topnav a.active:hover {
    color: #ff4dd5;
}

.topnav .icon {
    display: none;
}

.dark-btn {
  background: none;
  border: none;
  cursor: pointer;
  font-size: 22px;
  color: #1dcf73;
  padding: 10px;
}

.dark-btn:hover {
  color: #0fff47;
}


/*-- MOBILE NAV --*/
.icon-flex {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1;
    text-align: center;
    flex-wrap: wrap; 
}

.mobile-header {
  display:none;
  padding-top:20px;
  margin-bottom:-60px;
   font-weight:bold;
  font-family: "Rock 3D", system-ui;
  background: linear-gradient(90deg, 
    #ff0000, #ff8800, #ffff00, #00ff00, #00ccff, #8800ff, #ff00cc, #ff0000
  );
  background-size: 300% auto;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: rainbow 1s linear infinite;
}

.mobilenav {
  display:none;
  padding-bottom:5px;
  background-image:url('/img/Rough-Rock_2.jpg');
  background-size:contain;
  background-blend-mode:multiply;
    overflow: hidden;
    background-color:var(--container);
    box-shadow: 1px 1px 10px ;
    position: fixed;
    top: 0;
    border: none;
    width: 100%;
    z-index: 99;
    flex-wrap:nowrap;
  justify-content: space-between;
  align-items: flex-start;
}

.mobilenav a {
  padding: 10px;
}

.mobilenav .link-flex {
  margin-right:400px;
  flex-wrap:nowrap;
}

.mobilenav #textContainer {
  white-space: nowrap;
}

/*-- RAINBOW TEXT --*/
.f-r {
  font-size: 40px;
  margin-top: -10px;
  margin-bottom: -10px;
  text-align: center;
  font-family: "Rock 3D", system-ui;

  background: linear-gradient(90deg, 
    #ff0000, #ff8800, #ffff00, #00ff00, #00ccff, #8800ff, #ff00cc, #ff0000
  );
  background-size: 300% auto;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: rainbow 1s linear infinite;
}

@keyframes rainbow {
  0%   { background-position: 0% center; }
  100% { background-position: 200% center; }
}

/* CANVAS */
#trippy-canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0; 
  opacity:0.1;
  pointer-events: none;
}

/* LEFT SIDEBAR */
.left-sidebar {
  position: absolute;
  top: 0;
  left: -128px;
  width: 90px;
  z-index: 50;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 16px 8px;

  background-image: url('/img/Rough-Rock_2.jpg');
  background-size: contain;
  background-blend-mode: multiply;
  background-color: var(--container);

box-shadow:
  inset 3px 0px 0px rgba(0,0,0,0.6),
  -4px 0px 16px rgba(255, 0, 255, 0.5),
  -8px 0px 24px rgba(140, 0, 255, 0.4);

  border-left: 3px solid #ff4dd5;
   border-top: 3px solid #ff4dd5;
    border-bottom: 3px solid #ff4dd5;
}



.sidebar-widget {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
  width: 100%;
}

.sidebar-label {
  font-family: "Baumans", system-ui;
  font-size: 11px;
  color: #ff4dd5;
  margin: 0;
  animation: none;
  text-shadow: 0 0 6px #ff4dd5;
}

.sidebar-clock {
  font-family: "Baumans", system-ui;
  font-size: 13px;
  color: #0fff47;
  text-shadow: 0 0 8px #0fff47, 0 0 16px #0fff47;
  letter-spacing: 1px;
  text-align: center;
}

.sidebar-divider {
  width: 70%;
  height: 4px;
  background: repeating-linear-gradient(
    90deg,
    #ff4dd5 0px, #ff4dd5 4px,
    transparent 4px, transparent 8px
  );
  opacity: 0.8;
}

.sidebar-gif {
  max-width: 74px;
  height: auto;
  image-rendering: pixelated;
}

/* RIGHR SIDEBAR */

.right-sidebar {
  position: absolute;
  top: 0;
  right: -128px;
  width: 90px;
  z-index: 50;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 16px 8px;

  background-image: url('/img/Rough-Rock_2.jpg');
  background-size: contain;
  background-blend-mode: multiply;
  background-color:var(--container);

  box-shadow:
    inset -3px 0px 0px rgba(0,0,0,0.6),
    4px 0px 16px rgba(255, 0, 255, 0.5),
    8px 0px 24px rgba(140, 0, 255, 0.4);

  border-right: 3px solid #ff4dd5;
  border-top: 3px solid #ff4dd5;
  border-bottom: 3px solid #ff4dd5;
}

.right-sidebar {
  animation: right-sidebar-glow 2.5s ease-in-out infinite;
}

/* SLIDES */
.mySlides {display: none}

.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}
/* Next & previous buttons */
.prev, .next {
  color:#1dcf73;
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.1s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  color:#0fff47;
  right: 0;
}

.prev {
  color:#0fff47;
  left:0;
}

.prev:hover, .next:hover {
  color:#ff4dd5;
  cursor:pointer;
  text-shadow:
  0 0 16px rgba(255, 0, 255, 0.5),
  0 0 24px rgba(140, 0, 255, 0.4);
}


/* MOBILE*/
@media screen and (max-width: 1029px) {
  .left-sidebar {
    display: none;
  }
    .right-sidebar {
    display: none;
  }
}


@media screen and (max-width: 1029px) {
  .cloud-container, .secret, .secret-text, .topnav, .trippy-tree {
    display:none;
  }
  .mobilenav {
    display: flex;
  }
  .mobile-header {
    display:block;
  }
}
@media screen and (max-width: 780px) {
  body {
    padding-top:20px;
  }
  .container-flex {
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }

  .container {
    max-width: 90;
    width: 80%;
  }
  footer {
    width:100%;
    box-sizing:border-box;
}
}

@media screen and (max-width: 555px) {
  .mobilenav #textContainer {
  display: none;
}
}